Bug#889521: libmsv FTBFS on mips64el: shared library not built

2018-02-04 Thread Aurelien Jarno
control: retitle -1 Bug#889521: libmsv: missing build-dependency on file control: tag -1 + patch On 2018-02-04 08:38, Adrian Bunk wrote: > Source: libmsv > Version: 1.1.1-1 > Severity: serious > > https://buildd.debian.org/status/fetch.php?pkg=libmsv=mips64el=1.1.1-1=1517695216=0 > > ... >

Bug#889547: dpkg: please add hurd-amd64

2018-02-04 Thread Samuel Thibault
Package: dpkg Version: 1.19.0.5 Severity: important Hello, Talking with aurel32 at FOSDEM about future 64bit support in GNU/Hurd, he advised me that the hurd-amd64 arch should probably be added in dpkg already, so that it's available in the archive software etc. on time for bootstrapping the

Bug#889181: cacti changes for PHP7.2 and dep8 tests

2018-02-04 Thread Paul Gevers
Control: tags -1 confirmed upstream pending Hi Nishanth, Thanks for the report and the work with upstream to get this fixed. On 03-02-18 07:25, Nishanth Aravamudan wrote: > In Ubuntu, the attached patch was applied to achieve the following: > > * debian/patches/php72_count_bc_changes.patch:

Bug#889550: affiche.app: Missing resources after upgrading

2018-02-04 Thread Yavor Doganov
Package: affiche.app Version: 0.6.0-9+b1 Severity: important Starting the application: 2018-02-04 14:23:55.658 Affiche[6261:6261] Bad application class '(null)' specified There is no icon displayed and the note windows are missing the buttons. This is because after the upgrade

Bug#889566: ITP: golang-go4 -- go4 collection of packages

2018-02-04 Thread Michael Stapelberg
Package: wnpp Severity: wishlist Owner: Michael Stapelberg * Package name: golang-go4 Version : 0.0~git20180103.fba789b-1 Upstream Author : go4 authors * URL : https://github.com/camlistore/go4 * License : Apache-2.0 Programming Lang:

Bug#887586: node-chokidar: build hangs with mocha 4.0.1-3

2018-02-04 Thread Adrian Bunk
Control: reassign -1 mocha 4.0.1-3 Control: retitle -1 mocha 4.0.1-3 causes build hangs in various build-rdeps Control: affects -1 src:node-chokidar src:node-errorhandler src:node-compression src:node-connect src:node-connect-timeout src:node-cookie-parser src:node-on-finished src:node-vhost

Bug#889006: dh-autoreconf is run before patching

2018-02-04 Thread Gergely Nagy
Sorry for the brevity, I'm a tad short on time right now: yeah, I'm ok with a 0-day NMU of dpatch, that tweaks the sequence, and includes the patch for #868978 as well. Thanks! -- |8]

Bug#889538: extended description outdated, should mention GtkBuilder instead of libglade

2018-02-04 Thread Sébastien Villemot
Package: glade Version: 3.20.2-1 Severity: minor Dear Maintainers, The extended description of glade is outdated. It says: “You will probably want to use it with tools such as libglade, which can load the XML files and create the interfaces at runtime.” Since libglade is now deprecated and

Bug#889043: openmsx uses deprecated Tcl 8.5

2018-02-04 Thread Dr. Bas Wijnen
Hi Sergei, Thanks for the report! On Thu, Feb 01, 2018 at 03:19:51PM +0300, Sergei Golovan wrote: > Since Tcl 8.5 has reached its end-of-life it is to be removed from Debian. So > please, switch the openmsx package to a modern Tcl version. That seems like a simple change. I take it Tcl does

Bug#889543: CMake Error: The following variables are used in this project, but they are set to NOTFOUND.

2018-02-04 Thread Ondřej Surý
Hi Jean-Christophe, what is your build environment? Is liblz4-dev installed? Cheers, -- Ondřej Surý ond...@sury.org > On 4 Feb 2018, at 11:45, jean-christophe manciot > wrote: > > Package: mariadb-10.1 > Version: 1:10.1.29-6 > > Building with: > debuild -i -I

Bug#889542: wmbattery ate my 4GByte ram on T400 WITH docking station

2018-02-04 Thread Andreas Metzler
Control: forcemerge 816872 889542 On 2018-02-04 Michelle Konzack wrote: > Package: wmbattery > Version: 2.50-1+b1 > Release: Stretch > Hello Maintainers, > I have a Lenovo ThinkPad T400 with 4 GByte of memory, installed Stretch > and have 4 GByte of swap. [...]

Bug#889483: libegl1 disables amdgpu drm with Buster mesa

2018-02-04 Thread fin4478 fin4478
Reopen this bug, the log file shows that this bug is for Debian Buster Mesa.

Bug#889554: RFP: gnome-shell-extension-backslide -- wallpaper slideshow extension for GNOME Shell

2018-02-04 Thread Ghislain Antony Vaillant
Package: wnpp Severity: wishlist * Package name: gnome-shell-extension-backslide Version : 1.4.4 Upstream Author : Lukas Knuth * URL : https://extensions.gnome.org/extension/543/backslide/ * License : GPL-3+ Programming Lang: Javascript Description :

Bug#889562: gcompris: missing L10n in gcompris-edit desktop file

2018-02-04 Thread Ronny Standtke
Package: gcompris Version: 15.10-1+b1 Severity: minor Tags: patch, l10n The gcompris-edit desktop file is missing a German translation for the GenericName entry. This is user visible e.g. in the KDE Plasma desktop start menu. The attached patch fixes this issue. -- System Information: Debian

Bug#888627: Acknowledgement (m instruction in score partition cause segfault)

2018-02-04 Thread Mickael Viey
Hello, I tried to build csound 6.11. This version is built perfecly on my system. And fixes this bug. Is there any reason the 6.11 is not available in officials repositories ? Best, Mik Le 28/01/2018 à 02:09, Debian Bug Tracking System a écrit : Thank you for filing a new Bug report

Bug#889564: xrandr lists modes that it then cannot find

2018-02-04 Thread 積丹尼 Dan Jacobson
Package: libxrandr2 Version: 2:1.5.1-1 X-Debbugs-Cc: Cyril Brulebois Maybe libxrandr2 is the right place for me to report #882444 (xrandr lists modes that it then cannot find). I'm not sure.

Bug#888630: Acknowledgement (r instruction in score partition doesn't work as expected)

2018-02-04 Thread Mickael Viey
Hello, I tried to build csound 6.11. This version is built perfecly on my system. And fixes this bug. Is there any reason the 6.11 is not available in officials repositories ? Best, Mik Le 28/01/2018 à 02:21, Debian Bug Tracking System a écrit : Thank you for filing a new Bug report

Bug#889563: linphone: Wrong contact list sort order

2018-02-04 Thread Rob van der Putten
Package: linphone Version: 3.6.1-3 Severity: normal Dear Maintainer, Linphone sorts contacts by username (EG: ) as opposed to display_name (EG: "John Doe"). Below a small patch by a friend which fixes this problem; --- friendlist.c.bak2013-05-15 13:02:23.606072868

Bug#889565: libical3: please make the build reproducible

2018-02-04 Thread Chris Lamb
forwarded 889565 https://github.com/libical/libical/pull/324 thanks I've forwarded this upstream here: https://github.com/libical/libical/pull/324 Regards, -- ,''`. : :' : Chris Lamb `. `'` la...@debian.org / chris-lamb.co.uk `-

Bug#889006: dh-autoreconf is run before patching

2018-02-04 Thread Niels Thykier
Gergely Nagy: > Sorry for the brevity, I'm a tad short on time right now: yeah, I'm ok > with a 0-day NMU of dpatch, that tweaks the sequence, and includes the > patch for #868978 as well. > > Thanks! > Thanks, I have uploaded dpatch/2.0.38+nmu1 with the attached changes. :) Apologies for the

Bug#889528: mpv: Reading bluray using mpv fails

2018-02-04 Thread James Cowgill
Hi, On 04/02/18 09:38, mahashakti89 wrote: > Package: mpv > Version: 0.27.0-3 > Severity: important > > Dear Maintainer, > > I am using smplayer to read blurays - choosen multimedia engine is mpv - but > it > fails with following message : > > Playing: br:media/toto/cdrom0 > No protocol

Bug#889528: mpv: Reading bluray using mpv fails

2018-02-04 Thread James Cowgill
On 04/02/18 16:46, James Cowgill wrote: > Hi, > > On 04/02/18 09:38, mahashakti89 wrote: >> Package: mpv >> Version: 0.27.0-3 >> Severity: important >> >> Dear Maintainer, >> >> I am using smplayer to read blurays - choosen multimedia engine is mpv - but >> it >> fails with following message :

Bug#878757: Ping! autoremovals need help

2018-02-04 Thread debian
This bug needs a modification so autoremovals/testing migrations can work. Thanks, nthykier! Thanks, BTS. Chris.

Bug#858930: Ping! Trying to help openvswitch

2018-02-04 Thread debian
openvswitch, the only rdep of this package, has been fixed to not depend on it. This bug needs pinging to help it migrating (thanks, nthykier!). Hopefully this bug will eventually be fixed by RM. Cheers, Chris.

Bug#872773: ITP: firefox-passff -- pass manager extension for Firefox

2018-02-04 Thread Michael Meskes
On Mon, Aug 21, 2017 at 09:46:33PM +0800, Yao Wei wrote: > I later found out that the package is not ready for Chromium yet, but > anyways I started the thread in debian-devel and pkg-mozext-maintainers > now. > > Also found out that the package ublock-origin has been maintained by > pkg-mozext

Bug#889535: lintian: Can't use an undefined value as an ARRAY reference at /srv/lintian.debian.org/lintian/lib/Lintian/Path.pm line 326.

2018-02-04 Thread Chris Lamb
tags 889535 + pending thanks Thanks! Fixed in Git, pending upload: https://anonscm.debian.org/git/lintian/lintian.git/commit/?id=76a12dd8be5bd2308918d4019a880d84ced00877 Regards, -- ,''`. : :' : Chris Lamb `. `'` la...@debian.org / chris-lamb.co.uk `-

Bug#889527: puppet: Puppet master/agent on testing/buster fails with SSL errors

2018-02-04 Thread Clayton
Attached is the debug output that goes along with those SSL errors. Debug: Applying settings catalog for sections main, agent, ssl Debug: Caching environment 'production' (ttl = 0 sec) Debug: Evicting cache entry for environment 'production' Debug: Caching

Bug#889552: needrestart: add support for ignoring young processes under a configurable age

2018-02-04 Thread Paul Wise
Package: needrestart Version: 2.11-4 Severity: wishlist The Debian sysadmins recently added to dsa-check-libs (a needrestart equivalent) support for ignoring young processes under a configurable age. This was added to make the system ignore all processes within piuparts chroots, which are

Bug#889561: Mention what to do when xrandr lists modes that it then cannot find

2018-02-04 Thread 積丹尼 Dan Jacobson
Package: xserver-xorg Version: 1:7.7+19 Severity: wishlist File: /usr/share/doc/xorg/howto/use-xrandr.txt.gz X-Debbugs-Cc: Cyril Brulebois /usr/share/doc/xorg/howto/use-xrandr.txt.gz should discuss the proper thing to do when #882444 (xrandr lists modes that it then cannot find)

Bug#889565: libical3: please make the build reproducible

2018-02-04 Thread Chris Lamb
Source: libical3 Version: 3.0.1-5 Severity: wishlist Tags: patch User: reproducible-bui...@lists.alioth.debian.org Usertags: randomness fileordering X-Debbugs-Cc: reproducible-b...@lists.alioth.debian.org Hi, Whilst working on the Reproducible Builds effort [0], we noticed that libical3 could

Bug#889489: lintian: improve description of maintainer-script-should-not-use-recursive-chown-or-chmod

2018-02-04 Thread Chris Lamb
tags 889489 + pending thanks Applied in Git with a few changes. Many many thanks :) https://anonscm.debian.org/git/lintian/lintian.git/commit/?id=d0c97d122f74564d489467dd0a201fa3cdc31ba3 Regards, -- ,''`. : :' : Chris Lamb `. `'` la...@debian.org /

Bug#889539: pandas FTBFS: test failures

2018-02-04 Thread Adrian Bunk
Source: pandas Version: 0.20.3-11 Severity: serious https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/pandas.html ... === FAILURES === TestDataFramePlots.test_boxplot_legacy

Bug#889540: upgrade-reports: Buster testing update fail

2018-02-04 Thread John Lindholm
Package: upgrade-reports Severity: important Dear Maintainer, Update of system Buster Testing. Reboot. [OK]Started Update UTMP about System Runlevel Changes... [OK]Started Update UTMP about System Runlevel Changes. It hangs. Solution: Reboot and login as root apt --fix-broken install --

Bug#100808: hello 2h

2018-02-04 Thread sanfordgregory
Good day, I have a business proposal for you .For more details get back via:sanfordgregory2...@hotmail.com

Bug#843837: libxft-dev: Xft/Xft.h header incorrectly includes ft2build.h

2018-02-04 Thread Hugh McMaster
Hi Graham, Sorry for the delayed reply. On Wednesday, 31 January 2018 5:23 PM, Graham Inggs wrote: > I saw this message in bug #887595 [1] and thought it would be relevant here: > > On Tue, Jan 23, 2018 at 11:56:38AM +, Hugh McMaster wrote: >> Also note that the Freetype2 developers no

Bug#889549: ITP: qpack -- Python3 implementation of the QPack protocol

2018-02-04 Thread Paul Gevers
Package: wnpp Severity: wishlist Owner: Paul Gevers * Package name: qpack Version : 0.0.17 Upstream Author : Jeroen van der Heijden * URL : https://github.com/transceptor-technology/qpack * License

Bug#889548: ITP: siridb-connector -- Python3 interface for the SiriDB time series database server

2018-02-04 Thread Paul Gevers
Package: wnpp Severity: wishlist Owner: Paul Gevers * Package name: siridb-connector Version : 2.0.5 Upstream Author : Jeroen van der Heijden * URL :

Bug#887674: upload in NEW

2018-02-04 Thread Matthew Vernon
Control: tags 887674 + pending Hi, I've made an upload that adds the udeb; it's a new package, so is currently in NEW. Thanks for Cyril for the patch. Regards, Matthew

Bug#889321: python-grib: Segmentation fault reading NCEP grib file

2018-02-04 Thread alastair
Dear Hugh Thanks for this report. I confirm that on my system, I also get an failure, although a different one: corrupted double-linked list (not small) Aborted Will investigate further, Best regards Alastair McKinstry On 2018-02-03 15:04, Hugh Pumphrey wrote: Subject: python-grib:

Bug#889551: spectre-meltdown-checker should be in /usr/sbin/respect-meltdown-checker

2018-02-04 Thread shirish शिरीष
Package: spectre-meltdown-checker Version: 0.32-1 Severity: normal Dear Maintainer, I was trying to run spectre-meltdown-checker as a normal user first - /home/shirish> spectre-meltdown-checker Spectre and Meltdown mitigation detection tool v0.32 Note that you should launch this script with

Bug#888950: brotli: Use dh_missing --fail-missing

2018-02-04 Thread Jeremy Bicha
On Sat, Feb 3, 2018 at 2:19 AM, Tomasz Buchert wrote: > I first bumped the compat level and update the changelog, but then > thought that maybe you actually really on the version 10.3 of > debhelper, so I reverted my change ... without reverting the > changelog. You can bump

Bug#889555: linux-image-4.14.0-3-amd64: general protection fault, SMP PTI, while running hwinfo

2018-02-04 Thread J Mo
Package: src:linux Version: 4.14.13-1 Severity: normal linux-image-4.14.0-3-amd64: general protection fault, SMP PTI, while running hwinfo I upgraded one of my desktop systems two days ago and noticed immediately that it was freezing up every day at the same time. Total system lock. The

Bug#886833: [gweled] Not compatable with recent gtk

2018-02-04 Thread Juhani Numminen
Followup-For: Bug #886833 Package: gweled Version: 0.9.1-4 I'm getting a segfault at startup as well. I obtained a backtrace using the instructions from wiki: https://wiki.debian.org/HowToGetABacktrace juhani@computer:~$ LANG=C gdb gweled GNU gdb (Debian 7.12-6+b1) 7.12.0.20161007-git Copyright

Bug#889483: libegl1 disables amdgpu drm with Buster mesa

2018-02-04 Thread Timo Aaltonen
On 04.02.2018 15:50, fin4478 fin4478 wrote: > Reopen this bug, the log file shows that this bug is for Debian Buster > Mesa. No, you've messed up your system and it doesn't have a matching libgbm1 etc installed anymore. You need to fix it yourself.

Bug#848102: [octave] crashed with some random typing in octave editor

2018-02-04 Thread Lumin
On Thu, 1 Feb 2018 at 11:17 Mike Miller wrote: > On Wed, Dec 14, 2016 at 06:44:53 +, lumin wrote: > > Randomly typing something in octave editor will cause > > a crash with SIGSEGV. > > > > For example, I launched Octave and typed merely "asdfasdf" > > and then octave

Bug#888642: Your mail

2018-02-04 Thread Michael Biebl
On Sat, 3 Feb 2018 22:17:27 +0100 Christopher Schramm wrote: > I think I found the initial problem: /usr/bin/dbus-launch does not > terminate abnormally, it doesn't even start as it's not present. blueman > is missing a dependency on dbus-x11. Please don't add a direct

Bug#889012: Daemon flags aren't supported in systemd service

2018-02-04 Thread Vincent Blut
Control: tags -1 pending Hi, On Thu, Feb 01, 2018 at 09:44:04AM +0100, Christian Ehrhardt wrote: Package: chrony Version: 3.2-2 Description: We still ship /etc/default/chrony which contians DAEMON_OPTS. But the systemd service does not include that configuration, so we lack a way to control

Bug#889543: CMake Error: The following variables are used in this project, but they are set to NOTFOUND.

2018-02-04 Thread jean-christophe manciot
Thanks for your swift reply. The build env is a sid chroot and: liblz4-dev: Installed: 0.0~r131-2+b1 On Sun, Feb 4, 2018 at 11:54 AM, Ondřej Surý wrote: > Hi Jean-Christophe, > > what is your build environment? > > Is liblz4-dev installed? > > Cheers, > -- > Ondřej Surý >

Bug#888887: passwordsafe FTBFS on big endian: test failures

2018-02-04 Thread Adrian Bunk
On Sat, Feb 03, 2018 at 07:17:19PM -0500, Bill Blough wrote: > > I have uploaded passwordsafe-1.04+dfsg-2 which fixes the failures on all > big endian archs Thanks! > except for alpha and sparc64. >... Alpha is little endian, so that's unrelated. sparc64 is big endian, but that's likely

Bug#889544: laptop-mode-tools causes `sda` disk to start and stop again and again when on battery

2018-02-04 Thread Slawomir Gonet
Package: laptop-mode-tools Version: 1.72-1 Severity: critical Justification: breaks the whole system Dear Maintainer, just to note, my hardware is Dell e7450, disk drive is: ata2.00: ATA-9: SAMSUNG SSD PM851 mSATA 256GB, EXT4AD0Q, max UDMA/133 * What led up to the situation? `apt full-upgrade

Bug#889543: CMake Error: The following variables are used in this project, but they are set to NOTFOUND.

2018-02-04 Thread Ondřej Surý
Control: forcemerge 887655 -1 Control: severity 887655 important Please remove liblz4-dev and try again and I’ll declare proper Build-Conflict in git repository to be released in next MariaDB update. This is already tracked as #887655. Ondrej -- Ondřej Surý ond...@sury.org > On 4 Feb 2018,

Bug#889435: Updating the build-helper-maven-plugin Uploaders list

2018-02-04 Thread Matthias Schmitz
Hello everyone, On Sat, 3 Feb 2018 17:26:19 +0100 Tobias Frost wrote: > Source: build-helper-maven-plugin > Version: 1.8-1 3.0.0-1 > Severity: minor > User: m...@qa.debian.org > Usertags: mia-teammaint > > Damien Raude-Morvan has not been working on > the

Bug#889546: r-cran-reshape2: [INTL:de] Initial German translation

2018-02-04 Thread Chris Leick
Package: r-cran-reshape2 Version: R 2.15.1 Severity: wishlist Tags: l10n patch Hi, please find attached the German translation. Kind regards, Chris

Bug#889557: ovito: (Build-)Depends on obsolete libbotan1.10-dev

2018-02-04 Thread Christian Hofstaedtler
Package: ovito Version: 2.9.0+dfsg1-5 Severity: serious Dear Maintainer, your package ovito (build-)depends on botan1.10, which itself is obsolete. Upstream will end security support at the end of 2018, so it must not be part of buster. Please drop the libbotan1.10-dev build dependency.

Bug#889558: qtcreator: (Build-)Depends on obsolete libbotan1.10-dev

2018-02-04 Thread Christian Hofstaedtler
Package: qtcreator Version: 4.5.0-2 Severity: serious Dear Maintainer, your package qtcreator (build-)depends on botan1.10, which itself is obsolete. Upstream will end security support at the end of 2018, so it must not be part of buster. Please drop the libbotan1.10-dev build dependency.

Bug#889556: monotone: (Build-)Depends on obsolete libbotan1.10-dev

2018-02-04 Thread Christian Hofstaedtler
Package: monotone Version: 1.1-9 Severity: serious Dear Maintainer, your package monotone (build-)depends on botan1.10, which itself is obsolete. Upstream will end security support at the end of 2018, so it must not be part of buster. Please drop the libbotan1.10-dev build dependency. Thanks,

Bug#623945: Bug #623945: dpkg-dev: Please add option to tell dpkg-source 3.0 (quilt) to skip diffing source tree

2018-02-04 Thread Michael Banck
Hi, On Sun, Apr 24, 2011 at 07:01:02PM +0200, Michael Banck wrote: > I have a 90 mb source tarball, which is 528 mb unpacked. Running > dpkg-buildpackage -S on it takes ages (657 seconds, to be exact) on my > notebook, as it checks whether there are changes in the original source > to put into

Bug#889545: libopenmpt0: possible out-of-bounds memory read with malformed STP files

2018-02-04 Thread James Cowgill
Control: retitle -1 libopenmpt0: CVE-2018-6611 On 04/02/18 12:26, James Cowgill wrote: > Package: libopenmpt0 > Version: 0.3.1-1 > Severity: grave > Tags: security > > This security update was published for libopenmpt: > https://lib.openmpt.org/libopenmpt/2018/02/03/security-update-0.3.6/ > >>

Bug#889144: stricter PIDfile handling breaks several daemons

2018-02-04 Thread Simon Kelley
With my dnsmasq maintainer hat on, the current arrangement looks like this. 1) /run/dnsmasq is a directory owned by dnsmasq:nogroup 2) /run/dnsmasq/dnsmasq.pid gets written by dnsmasq before it drops root, so is root:root 3) The reason /run/dnsmasq is owned by dnsmasq is so that dnsmasq can

Bug#889570: RFS: libt3window/0.3.0-1

2018-02-04 Thread Gertjan Halkes
Package: sponsorship-requests Severity: normal Dear mentors, I am looking for a sponsor for my package "libt3window" * Package name: libt3window Version : 0.3.0-1 Upstream Author : Gertjan Halkes * URL :

Bug#889569: RFS: libt3key/0.2.8-1

2018-02-04 Thread Gertjan Halkes
Package: sponsorship-requests Severity: normal Dear mentors, I am looking for a sponsor for my package "libt3key" * Package name: libt3key Version : 0.2.8-1 Upstream Author : Gertjan Halkes * URL : https://os.ghalkes.nl/t3/libt3key.html *

Bug#889568: ibm-3270: Incomplete debian/copyright?

2018-02-04 Thread Chris Lamb
Source: ibm-3270 Version: 3.6ga4-1 Severity: serious Justication: Policy 12.5 X-Debbugs-CC: Philipp Kern Hi, I just ACCEPTed ibm-3270 from NEW but noticed it was missing attribution in debian/copyright for some attributions in x3270/select.c. (This is not exhaustive so

Bug#712394: lintian: Warn if override_dh_auto_test target doesn't check for DEB_BUILD_OPTIONS=nocheck

2018-02-04 Thread Chris Lamb
Chris Lamb wrote: > We might just end up reverting the whole thing, naturally, but let's see > how we go for now... Some results coming in: https://lintian.debian.org/tags/override_dh_auto_test-does-not-check-DEB_BUILD_PROFILES.html Thoughts? Regards, -- ,''`. : :' :

Bug#883599: moarvm-dev: missing dependencies on -dev packages

2018-02-04 Thread Dominique Dumont
Hello Sorry for the delay. On Tue, 5 Dec 2017 15:03:33 + James Cowgill wrote: > Including /usr/include/moar/moar.h requires these packages to be > installed (in addition to the existing dependencies): > libatomic-ops-dev > libtommath-dev > libuv1-dev Indeed. This

Bug#883856: Acknowledgement (dpkg: Fails to build any package in path with '@' in it)

2018-02-04 Thread Guillem Jover
Control: forcemerge 881051 -1 On Sat, 2018-02-03 at 13:48:37 +0100, Tobias Frost wrote: > On Fri, 08 Dec 2017 13:08:04 +0100 Dennis Kaarsemaker wrote: > > Please note that the version number is incorrect, this happened on a > > different box than where I filed the bug. That box has dpkg > >

Bug#889553: icedtea-netx-common: missing L10n in itweb-settings desktop file

2018-02-04 Thread Ronny Standtke
Package: icedtea-netx-common Version: 1.6.2-3.1 Severity: minor Tags: patch, l10n The itweb-settings desktop file is missing translations of the Comment field. This field is user visible e.g. in the KDE Plasma start menu. The attached patch adds a German translation. -- System Information:

Bug#888459: flint-arb's tests fail on 32bit archs using mpfr 4.0.0

2018-02-04 Thread Vincent Lefevre
On 2018-01-26 15:13:53 +0100, Vincent Lefevre wrote: > It may be a bug in MPFR 4. This was due to a bug in mpfr_div_ui, fixed in MPFR 4.0.1-rc2. -- Vincent Lefèvre - Web: 100% accessible validated (X)HTML - Blog:

Bug#737587: Commander Genius 2.0 inclusion

2018-02-04 Thread Gerhard Stein
Dear Debian team, after struggling with some features and fixing old bugs there is a stable release worth a try for your game collection. Mageia already has it in its central repositories, Arch provides an support through AUR and even Retropie has it. There even is a PPA. It would be cool

Bug#889560: trilinos: cmake files seem to be missing

2018-02-04 Thread Adrian Bunk
Source: trilinos Version: 12.12.1-3 Severity: serious Control: affects -1 src:deal.ii https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/deal.ii.html ... -- Include /build/1st/deal.ii-8.4.2/cmake/configure/configure_2_trilinos.cmake CMake Error at

Bug#888829: wpad-extract broken on stretch

2018-02-04 Thread Mike Gabriel
On Mi 31 Jan 2018 13:33:34 CET, Wolfgang Schweer wrote: After trying different kioslaverc settings to no avail, the only chance to get it working again seems to be using pactester, i.e. the Buster wpad-extract script version Wolfgang Thanks Wolfgang for evaluating the possibilities. I will

Bug#888829: wpad-extract broken on stretch

2018-02-04 Thread Wolfgang Schweer
Hi Mike, On Sun, Feb 04, 2018 at 04:39:43PM +, Mike Gabriel wrote: > Do you see any other issues that we should fix with such a proposed-update? > Only changes / fixes that are not too invasive. Fixing smb.conf would require to add only one line. Fixed in Buster, see

Bug#889572: transmission-daemon: web ui fails to connect to server

2018-02-04 Thread Adam Borowski
Package: transmission-daemon Version: 2.92-3 Severity: normal Hi! In the new version, transmission's web ui (aka http://HOST:9091/transmission/web/) says it failed to connect to the server. This is very puzzling as the web server (on port 9091) comes from the same process as actual torrents.

Bug#889589: geany has a missing-pkg-dependency according to adequate

2018-02-04 Thread shirish शिरीष
Package: geany Version: 1.32-2 Severity: normal Usertags: missing-pkgconfig-dependency adequate User: debian...@lists.debian.org Dear Maintainer, I was installing geany when adequate reported that there is a missing pkgconfig-dependency. >From adequate's manpage -

Bug#889144: stricter PIDfile handling breaks several daemons

2018-02-04 Thread Michael Biebl
Am 03.02.2018 um 14:35 schrieb Sven Hartge: > Um 14:00 Uhr am 03.02.18 schrieb Michael Biebl: >> The alternative afaics would be, that the daemon writes the pid file as >> munin:munin then (or ulog:ulog for the above case). > > No, this would open a potential DoS vector. > > Image an attacker

Bug#887126: RFS: ddupdate/0.2.0-1 #886546

2018-02-04 Thread Michael Kolmodin
Hi Juhani! Thanks for your reply, and sorry that I missed it! It was probably lost in the noise, was not really prepared for a reply from the bug  so to speak. Listening to high-volume lists is not always easy :( For better or worse, both upstream and the packaging has evolved since your review.

Bug#889570: RFS: libt3window/0.3.0-1

2018-02-04 Thread Adam Borowski
On Sun, Feb 04, 2018 at 04:57:49PM +0100, Gertjan Halkes wrote: > * Package name: libt3window > Version : 0.3.0-1 > > https://mentors.debian.net/debian/pool/main/libt/libt3key/libt3window_0.3.0-1.dsc Obviously /libt3window/. > Changes since the last upload: > > * New

Bug#884987: reworked patch from Redhat's bugzilla

2018-02-04 Thread Sanjoy Mahajan
> But the patch there doesn't apply to the Debian > /etc/etckeeper/pre-commit.d/20warn-problem-files But the following reworked version of the patch does apply. It has fixed the problem for me. --- etc/etckeeper/pre-commit.d/20warn-problem-files 2016-07-18 01:01:39.0 +0200 +++

Bug#844125: dgit: Built-in support for pbuilder [and 1 more messages]

2018-02-04 Thread Sean Whitton
Hello, On Mon, Jan 29 2018, Ian Jackson wrote: > Mattia Rizzolo writes ("Bug#844125: dgit: Built-in support for >pbuilder [and 1 more messages]"): >> [lots of explanation] > > Thanks, that is very helpful information. Indeed. Many thanks. >> Anyway, isn't this discussion kind of moot? I

Bug#886278: Unable to open Audio Disc

2018-02-04 Thread Jack Underwood
Okay, I have just done some more online research and I have found this bug relating to libcdio: https://www.mail-archive.com/ubuntustudio-bugs@lists.launchpad.net/msg06384.html I don't know enough to make a guess as to whether this exists as the same double-free bug, but if so, then the problem

Bug#889528: mpv: Reading bluray using mpv fails

2018-02-04 Thread James Cowgill
Control: tags -1 confirmed Hi, On 04/02/18 19:32, mahashakti89 wrote: > On Sun, Feb 04, 2018 at 04:53:24PM +0100, James Cowgill wrote: >> On 04/02/18 16:46, James Cowgill wrote: >>> Hi, >>> >>> On 04/02/18 09:38, mahashakti89 wrote: Package: mpv Version: 0.27.0-3 Severity:

Bug#889585: smartmontools: Warn on high load cycle count (193) by default, especially on WD Green drives

2018-02-04 Thread Felix Lechner
Package: smartmontools Version: 6.5+svn4324-1 Severity: wishlist Hi, Some time ago I received a replacement WD Green drive via RMA and forgot to set the power settings. By default, those drives park heads after 8 seconds[1], but that can easily be changed with a tools like 'idle3-tools'[2]. When

Bug#889511: libpodofo: CVE-2018-5295

2018-02-04 Thread Mattia Rizzolo
Control: forwarded -1 https://sourceforge.net/p/podofo/mailman/message/36215539/ On Sun, Feb 04, 2018 at 01:24:53AM +0100, Matthias Brinke wrote: > CVE-2018-5295 from the security-tracker.debian.org: > In PoDoFo 0.9.5, there is an integer overflow in > the PdfXRefStreamParserObject::ParseStream

Bug#889590: tesseract-ocr-aze has circular Depends on tesseract-ocr-aze-cyrl

2018-02-04 Thread Bill Allombert
Package: tesseract-ocr-aze Version: 4.00~git15-45ed289-5 Severity: important Hello Jeff, There is a circular dependency between tesseract-ocr-aze and tesseract-ocr-aze-cyrl: tesseract-ocr-aze :Depends: tesseract-ocr-aze-cyrl (>= 3.99) tesseract-ocr-aze-cyrl :Depends: tesseract-ocr-aze

Bug#889592: lintian: false positive for override_dh_auto_test-does-not-check-DEB_BUILD_PROFILES

2018-02-04 Thread Mattia Rizzolo
Package: lintian Version: 2.5.73 On Sun, Feb 04, 2018 at 03:36:45PM +0530, Chris Lamb wrote: > Some results coming in: > > > https://lintian.debian.org/tags/override_dh_auto_test-does-not-check-DEB_BUILD_PROFILES.html > > Thoughts? Randomly checked few packages and they were mostly all

Bug#889567: cloning 889006, reassign 889006 to dpatch ...

2018-02-04 Thread Adrian Bunk
On Sun, Feb 04, 2018 at 03:17:33PM +, Niels Thykier wrote: > clone 889006 -1 > reassign 889006 dpatch > retitle -1 debhelper,dh-autoreconf: Handle backports for quilt.pm users > thanks Is there a reason against doing reassign 889567 dh-autoreconf 16 retitle 889567 dh-autoreconf needs

Bug#889546: r-cran-reshape2: [INTL:de] Initial German translation

2018-02-04 Thread Andreas Tille
Hi, On Sun, Feb 04, 2018 at 12:37:23PM +0100, Chris Leick wrote: > Package: r-cran-reshape2 > Version: R 2.15.1 > Severity: wishlist > Tags: l10n patch > > please find attached the German translation. There is no translation attached and in general I wonder what exactly do you intend to

Bug#888829: wpad-extract broken on stretch

2018-02-04 Thread Wolfgang Schweer
> On Sun, Feb 04, 2018 at 04:39:43PM +, Mike Gabriel wrote: > > Do you see any other issues that we should fix with such a proposed-update? > > Only changes / fixes that are not too invasive. > > Fixing smb.conf would require to add only one line. Fixed in Buster, see d-e-c commit

Bug#888282:

2018-02-04 Thread ziegler
Today things are back to normal. I updated quite a few testing-packets since yesterday. I do not know, which of them was responsible for the change, sorry. thanks, Martin

Bug#889486: Please check for packages named "dh-*" in binary-package-depends-on-toolchain-package

2018-02-04 Thread Josh Triplett
On Sun, Feb 04, 2018 at 02:28:35PM +0530, Chris Lamb wrote: > Thanks. :) Fixed in Git, pending upload: > > > https://anonscm.debian.org/git/lintian/lintian.git/commit/?id=f8d52f6db1309feb076c938923518e7e323e46d8 Thanks! - Josh Triplett

Bug#889144: stricter PIDfile handling breaks several daemons

2018-02-04 Thread Sven Hartge
On 04.02.2018 17:25, Michael Biebl wrote: > Am 03.02.2018 um 14:35 schrieb Sven Hartge: >> Um 14:00 Uhr am 03.02.18 schrieb Michael Biebl: >>> The alternative afaics would be, that the daemon writes the pid file as >>> munin:munin then (or ulog:ulog for the above case). >> >> No, this would open

Bug#889181: cacti changes for PHP7.2 and dep8 tests

2018-02-04 Thread Nish Aravamudan
Hi Paul, On Feb 4, 2018 04:38, "Paul Gevers" wrote: Hi Nishanth, Thanks for the report and the work with upstream to get this fixed. On 03-02-18 07:25, Nishanth Aravamudan wrote: > In Ubuntu, the attached patch was applied to achieve the following: > > *

Bug#889563: linphone: Wrong contact list sort order

2018-02-04 Thread Geert Stappers
On Sun, Feb 04, 2018 at 03:52:02PM +0100, Rob van der Putten wrote: > > Linphone sorts contacts by username (EG: ) as > opposed to display_name (EG: "John Doe"). SIP usernames are global unique, display_names not. SIP username is always present, display_name is optional.

Bug#889493: tech-ctte: Please review if systemd is reliable enough to be the default

2018-02-04 Thread Kingsley G. Morse Jr.
Hi Phil, I find I often benefit from other people's point of view. If you happen to have the time, and are so inclined, and it would be comfortable, feel free to elaborate on your comment in bug report #889493. I'm particularly curious why you wrote it had no merit. So, Kingsley -- Time is

Bug#888917: ocrmypdf fails to run it's testsuite

2018-02-04 Thread Sean Whitton
Hello, On Fri, Feb 02 2018, James R Barlow wrote: > Do you think you could take a few minutes to identify which test is > taking this long and report it? This may be an upstream bug, if some > input triggers an infinite loop. > > I have my suspicions. [...] Thanks for the hints. I will attempt

Bug#855942: Beta version of Anki has been available since July 2017

2018-02-04 Thread Julian Gilbey
Update on this bug: the beta version of anki is currently in unstable, but upstream has explicitly requested that it not be packaged for distributions until a new stable version has been released. So I will leave this bug report open until then. Julian

Bug#889576: sslh: Please package new upstream release

2018-02-04 Thread Axel Beckert
Package: sslh Version: 1.18-1 Hi, there have been two new upstream versioned released in the past weeks. please package the new upstream version (1.19b as of this writing) which introduces quite some new features like support for SNI, etc. and a "truckload of bug fixes and documentation

Bug#889559: wavpack: heap buffer overflow while running wavpack

2018-02-04 Thread Sebastian Ramacher
Hi On 2018-02-04 23:35:47, Joonun Jang wrote: > Package: wavpack > Version: 5.1.0-2 > Severity: important > Tags: security > > heap buffer overflow running wavpack with "-y poc.wav" option Thanks for filing this. It's probably easier to file those directly upstream at

Bug#887828: needrestart: Possible false positive on postifx and wazuh-agent running in LXC container

2018-02-04 Thread Chris
Hi, On 03.02.2018 23:26, Thomas Liske wrote: > Hi, thanks for your reply. > you are running needrestart outside of the container? The posted outputs are from running needrestart within the container. Sorry that i havn't clarified this from the beginning of my post. > And the postfix service

Bug#889551: spectre-meltdown-checker should be in /usr/sbin/respect-meltdown-checker

2018-02-04 Thread Sylvestre Ledru
Hello, Le 04/02/2018 à 13:56, shirish शिरीष a écrit : > Package: spectre-meltdown-checker > Version: 0.32-1 > Severity: normal > > Dear Maintainer, > > I was trying to run spectre-meltdown-checker as a normal user first - > > /home/shirish> spectre-meltdown-checker > Spectre and Meltdown

Bug#888348: lives: FTBFS with FFmpeg 3.5

2018-02-04 Thread salsaman
I believe all the issues noted should be fixed now. You will need to replace the follwoing files: configure.ac libweed/weed-compat.h libweed/weed-compat.pc plugins/decoders/* (the weed-compat changes are unrelated, but you will need to update them to compile the current decoder plugins).

  1   2   3   >